-- delete the configuration of the old module
SET @tmp=0;
SELECT (@tmp:=configuration_group_id) as tmp FROM configuration_group WHERE configuration_group_title= 'Magic Thumb';
DELETE FROM configuration WHERE configuration_group_id = @tmp AND configuration_group_id != 0 and configuration_group_id IS NOT NULL;
DELETE FROM configuration_group WHERE configuration_group_id = @tmp AND configuration_group_id != 0 and configuration_group_id IS NOT NULL;

-- create config table
DROP TABLE IF EXISTS magicthumb_configuration;
CREATE TABLE magicthumb_configuration (
    `id` int unsigned NOT NULL auto_increment,
    `block` varchar(64) NOT NULL,
    `name` varchar(64) NOT NULL,
    `value` text,
    `default_value` text,
    `enabled` tinyint(1) unsigned NOT NULL,
    `default_enabled` tinyint(1) unsigned NOT NULL,
    PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- defaut config
INSERT INTO magicthumb_configuration (`block`, `name`, `value`, `default_value`, `enabled`,`default_enabled`) VALUES 
 ('default', 'thumb-max-width', '200', '200', 1, 1),
 ('default', 'thumb-max-height', '200', '200', 1, 1),
 ('default', 'extra-thumb-max-width', '50', '50', 1, 1),
 ('default', 'extra-thumb-max-height', '50', '50', 1, 1),
 ('default', 'thumb-margin', '1', '1', 1, 1),
 ('default', 'thumb-margin-top', '5', '5', 1, 1),
 ('default', 'square-images', 'disable', 'disable', 1, 1),
 ('default', 'expandEffect', 'expand', 'expand', 1, 1),
 ('default', 'expandSpeed', '350', '350', 1, 1),
 ('default', 'expandImageSize', 'fit-screen', 'fit-screen', 1, 1),
 ('default', 'expandTrigger', 'click', 'click', 1, 1),
 ('default', 'expandAlign', 'screen', 'screen', 1, 1),
 ('default', 'expandEasing', 'ease-in-out', 'ease-in-out', 1, 1),
 ('default', 'gallerySpeed', '250', '250', 1, 1),
 ('default', 'loop', 'Yes', 'Yes', 1, 1),
 ('default', 'show-caption', 'Yes', 'Yes', 1, 1),
 ('default', 'captionPosition', 'bottom', 'bottom', 1, 1),
 ('default', 'link-to-product-page', 'Yes', 'Yes', 1, 1),
 ('default', 'keyboard', 'Yes', 'Yes', 1, 1),
 ('default', 'cssClass', '', '', 1, 1),
 ('default', 'rightClick', 'Yes', 'Yes', 1, 1),
 ('default', 'lazyLoad', 'No', 'No', 1, 1),
 ('default', 'autostart', 'Yes', 'Yes', 1, 1),
 ('default', 'imagemagick', 'off', 'off', 1, 1),
 ('default', 'image-quality', '75', '75', 1, 1),
 ('default', 'buttons', 'auto', 'auto', 1, 1),
 ('default', 'textBtnClose', 'Close', 'Close', 1, 1),
 ('default', 'textBtnNext', 'Next', 'Next', 1, 1),
 ('default', 'textBtnPrev', 'Previous', 'Previous', 1, 1),
 ('default', 'watermark', '', '', 1, 1),
 ('default', 'watermark-max-width', '30%', '30%', 1, 1),
 ('default', 'watermark-max-height', '30%', '30%', 1, 1),
 ('default', 'watermark-opacity', '50', '50', 1, 1),
 ('default', 'watermark-position', 'center', 'center', 1, 1),
 ('default', 'watermark-offset-x', '0', '0', 1, 1),
 ('default', 'watermark-offset-y', '0', '0', 1, 1),
 ('default', 'hint', 'once', 'once', 1, 1),
 ('default', 'textClickHint', 'Click to expand', 'Click to expand', 1, 1),
 ('default', 'textHoverHint', 'Hover to expand', 'Hover to expand', 1, 1),
 ('default', 'slideMobileEffect', 'rotate', 'rotate', 1, 1),
 ('default', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 1, 1),
 ('product', 'enable-effect', 'Yes', 'Yes', 1, 1),
 ('product', 'thumb-max-width', '200', '200', 1, 1),
 ('product', 'thumb-max-height', '0', '0', 1, 1),
 ('product', 'paps-image-max-width', '200', '200', 0, 0),
 ('product', 'paps-image-max-height', '200', '200', 0, 0),
 ('product', 'paps-thumb-max-width', '100', '100', 0, 0),
 ('product', 'paps-thumb-max-height', '100', '100', 0, 0),
 ('product', 'extra-thumb-max-width', '50', '50', 0, 0),
 ('product', 'extra-thumb-max-height', '50', '50', 0, 0),
 ('product', 'thumb-margin', '1', '1', 0, 0),
 ('product', 'thumb-margin-top', '5', '5', 0, 0),
 ('product', 'expandEffect', 'expand', 'expand', 0, 0),
 ('product', 'expandSpeed', '350', '350', 0, 0),
 ('product', 'expandImageSize', 'fit-screen', 'fit-screen', 0, 0),
 ('product', 'expandTrigger', 'click', 'click', 0, 0),
 ('product', 'expandAlign', 'screen', 'screen', 0, 0),
 ('product', 'expandEasing', 'ease-in-out', 'ease-in-out', 0, 0),
 ('product', 'gallerySpeed', '250', '250', 0, 0),
 ('product', 'loop', 'Yes', 'Yes', 0, 0),
 ('product', 'selectorTrigger', 'click', 'click', 0, 0),
 ('product', 'selectorEffect', 'switch', 'switch', 0, 0),
 ('product', 'show-caption', 'Yes', 'Yes', 0, 0),
 ('product', 'captionPosition', 'bottom', 'bottom', 0, 0),
 ('product', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('product', 'cssClass', '', '', 0, 0),
 ('product', 'rightClick', 'Yes', 'Yes', 0, 0),
 ('product', 'lazyLoad', 'No', 'No', 0, 0),
 ('product', 'autostart', 'Yes', 'Yes', 0, 0),
 ('product', 'buttons', 'auto', 'auto', 0, 0),
 ('product', 'textBtnClose', 'Close', 'Close', 0, 0),
 ('product', 'textBtnNext', 'Next', 'Next', 0, 0),
 ('product', 'textBtnPrev', 'Previous', 'Previous', 0, 0),
 ('product', 'hint', 'once', 'once', 0, 0),
 ('product', 'textClickHint', 'Click to expand', 'Click to expand', 0, 0),
 ('product', 'textHoverHint', 'Hover to expand', 'Hover to expand', 0, 0),
 ('product', 'slideMobileEffect', 'rotate', 'rotate', 0, 0),
 ('product', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 0, 0),
 ('category', 'enable-effect', 'No', 'No', 0, 0),
 ('category', 'thumb-max-width', '100', '100', 1, 1),
 ('category', 'thumb-max-height', '100', '100', 1, 1),
 ('category', 'extra-thumb-max-width', '50', '50', 0, 0),
 ('category', 'extra-thumb-max-height', '50', '50', 0, 0),
 ('category', 'thumb-margin', '1', '1', 0, 0),
 ('category', 'thumb-margin-top', '5', '5', 0, 0),
 ('category', 'expandEffect', 'expand', 'expand', 0, 0),
 ('category', 'expandSpeed', '350', '350', 0, 0),
 ('category', 'expandImageSize', 'fit-screen', 'fit-screen', 0, 0),
 ('category', 'expandTrigger', 'click', 'click', 0, 0),
 ('category', 'expandAlign', 'screen', 'screen', 0, 0),
 ('category', 'expandEasing', 'ease-in-out', 'ease-in-out', 0, 0),
 ('category', 'gallerySpeed', '250', '250', 0, 0),
 ('category', 'loop', 'Yes', 'Yes', 0, 0),
 ('category', 'show-caption', 'Yes', 'Yes', 0, 0),
 ('category', 'captionPosition', 'bottom', 'bottom', 0, 0),
 ('category', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('category', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('category', 'cssClass', '', '', 0, 0),
 ('category', 'rightClick', 'Yes', 'Yes', 0, 0),
 ('category', 'lazyLoad', 'No', 'No', 0, 0),
 ('category', 'autostart', 'Yes', 'Yes', 0, 0),
 ('category', 'buttons', 'auto', 'auto', 0, 0),
 ('category', 'textBtnClose', 'Close', 'Close', 0, 0),
 ('category', 'textBtnNext', 'Next', 'Next', 0, 0),
 ('category', 'textBtnPrev', 'Previous', 'Previous', 0, 0),
 ('category', 'hint', 'once', 'once', 0, 0),
 ('category', 'textClickHint', 'Click to expand', 'Click to expand', 0, 0),
 ('category', 'textHoverHint', 'Hover to expand', 'Hover to expand', 0, 0),
 ('category', 'slideMobileEffect', 'rotate', 'rotate', 0, 0),
 ('category', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 0, 0),
 ('products_new', 'enable-effect', 'No', 'No', 0, 0),
 ('products_new', 'thumb-max-width', '100', '100', 1, 1),
 ('products_new', 'thumb-max-height', '100', '100', 1, 1),
 ('products_new', 'extra-thumb-max-width', '50', '50', 0, 0),
 ('products_new', 'extra-thumb-max-height', '50', '50', 0, 0),
 ('products_new', 'thumb-margin', '1', '1', 0, 0),
 ('products_new', 'thumb-margin-top', '5', '5', 0, 0),
 ('products_new', 'expandEffect', 'expand', 'expand', 0, 0),
 ('products_new', 'expandSpeed', '350', '350', 0, 0),
 ('products_new', 'expandImageSize', 'fit-screen', 'fit-screen', 0, 0),
 ('products_new', 'expandTrigger', 'click', 'click', 0, 0),
 ('products_new', 'expandAlign', 'screen', 'screen', 0, 0),
 ('products_new', 'expandEasing', 'ease-in-out', 'ease-in-out', 0, 0),
 ('products_new', 'gallerySpeed', '250', '250', 0, 0),
 ('products_new', 'loop', 'Yes', 'Yes', 0, 0),
 ('products_new', 'show-caption', 'Yes', 'Yes', 0, 0),
 ('products_new', 'captionPosition', 'bottom', 'bottom', 0, 0),
 ('products_new', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('products_new', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('products_new', 'cssClass', '', '', 0, 0),
 ('products_new', 'rightClick', 'Yes', 'Yes', 0, 0),
 ('products_new', 'lazyLoad', 'No', 'No', 0, 0),
 ('products_new', 'autostart', 'Yes', 'Yes', 0, 0),
 ('products_new', 'buttons', 'auto', 'auto', 0, 0),
 ('products_new', 'textBtnClose', 'Close', 'Close', 0, 0),
 ('products_new', 'textBtnNext', 'Next', 'Next', 0, 0),
 ('products_new', 'textBtnPrev', 'Previous', 'Previous', 0, 0),
 ('products_new', 'hint', 'once', 'once', 0, 0),
 ('products_new', 'textClickHint', 'Click to expand', 'Click to expand', 0, 0),
 ('products_new', 'textHoverHint', 'Hover to expand', 'Hover to expand', 0, 0),
 ('products_new', 'slideMobileEffect', 'rotate', 'rotate', 0, 0),
 ('products_new', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 0, 0),
 ('special_products', 'enable-effect', 'No', 'No', 0, 0),
 ('special_products', 'thumb-max-width', '100', '100', 1, 1),
 ('special_products', 'thumb-max-height', '100', '100', 1, 1),
 ('special_products', 'extra-thumb-max-width', '50', '50', 0, 0),
 ('special_products', 'extra-thumb-max-height', '50', '50', 0, 0),
 ('special_products', 'thumb-margin', '1', '1', 0, 0),
 ('special_products', 'thumb-margin-top', '5', '5', 0, 0),
 ('special_products', 'expandEffect', 'expand', 'expand', 0, 0),
 ('special_products', 'expandSpeed', '350', '350', 0, 0),
 ('special_products', 'expandImageSize', 'fit-screen', 'fit-screen', 0, 0),
 ('special_products', 'expandTrigger', 'click', 'click', 0, 0),
 ('special_products', 'expandAlign', 'screen', 'screen', 0, 0),
 ('special_products', 'expandEasing', 'ease-in-out', 'ease-in-out', 0, 0),
 ('special_products', 'gallerySpeed', '250', '250', 0, 0),
 ('special_products', 'loop', 'Yes', 'Yes', 0, 0),
 ('special_products', 'show-caption', 'Yes', 'Yes', 0, 0),
 ('special_products', 'captionPosition', 'bottom', 'bottom', 0, 0),
 ('special_products', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('special_products', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('special_products', 'cssClass', '', '', 0, 0),
 ('special_products', 'rightClick', 'Yes', 'Yes', 0, 0),
 ('special_products', 'lazyLoad', 'No', 'No', 0, 0),
 ('special_products', 'autostart', 'Yes', 'Yes', 0, 0),
 ('special_products', 'buttons', 'auto', 'auto', 0, 0),
 ('special_products', 'textBtnClose', 'Close', 'Close', 0, 0),
 ('special_products', 'textBtnNext', 'Next', 'Next', 0, 0),
 ('special_products', 'textBtnPrev', 'Previous', 'Previous', 0, 0),
 ('special_products', 'hint', 'once', 'once', 0, 0),
 ('special_products', 'textClickHint', 'Click to expand', 'Click to expand', 0, 0),
 ('special_products', 'textHoverHint', 'Hover to expand', 'Hover to expand', 0, 0),
 ('special_products', 'slideMobileEffect', 'rotate', 'rotate', 0, 0),
 ('special_products', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 0, 0),
 ('featured_products', 'enable-effect', 'No', 'No', 0, 0),
 ('featured_products', 'thumb-max-width', '200', '200', 0, 0),
 ('featured_products', 'thumb-max-height', '200', '200', 0, 0),
 ('featured_products', 'extra-thumb-max-width', '50', '50', 0, 0),
 ('featured_products', 'extra-thumb-max-height', '50', '50', 0, 0),
 ('featured_products', 'thumb-margin', '1', '1', 0, 0),
 ('featured_products', 'thumb-margin-top', '5', '5', 0, 0),
 ('featured_products', 'expandEffect', 'expand', 'expand', 0, 0),
 ('featured_products', 'expandSpeed', '350', '350', 0, 0),
 ('featured_products', 'expandImageSize', 'fit-screen', 'fit-screen', 0, 0),
 ('featured_products', 'expandTrigger', 'click', 'click', 0, 0),
 ('featured_products', 'expandAlign', 'screen', 'screen', 0, 0),
 ('featured_products', 'expandEasing', 'ease-in-out', 'ease-in-out', 0, 0),
 ('featured_products', 'gallerySpeed', '250', '250', 0, 0),
 ('featured_products', 'loop', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'show-caption', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'captionPosition', 'bottom', 'bottom', 0, 0),
 ('featured_products', 'link-to-product-page', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'keyboard', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'cssClass', '', '', 0, 0),
 ('featured_products', 'rightClick', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'lazyLoad', 'No', 'No', 0, 0),
 ('featured_products', 'autostart', 'Yes', 'Yes', 0, 0),
 ('featured_products', 'buttons', 'auto', 'auto', 0, 0),
 ('featured_products', 'textBtnClose', 'Close', 'Close', 0, 0),
 ('featured_products', 'textBtnNext', 'Next', 'Next', 0, 0),
 ('featured_products', 'textBtnPrev', 'Previous', 'Previous', 0, 0),
 ('featured_products', 'hint', 'once', 'once', 0, 0),
 ('featured_products', 'textClickHint', 'Click to expand', 'Click to expand', 0, 0),
 ('featured_products', 'textHoverHint', 'Hover to expand', 'Hover to expand', 0, 0),
 ('featured_products', 'slideMobileEffect', 'rotate', 'rotate', 0, 0),
 ('featured_products', 'textClickHintForMobile', 'Tap to expand', 'Tap to expand', 0, 0),
 ('default', 'version', '4.9.1', '4.9.1', 1, 1);

